cURL
curl --request GET \
--url https://us.infisical.com/api/v1/groups/{id}/projectsimport requests
url = "https://us.infisical.com/api/v1/groups/{id}/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/groups/{id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"joinedGroupAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
],
"totalCount": 123
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Organization Groups
List Group Projects
GET
/
api
/
v1
/
groups
/
{id}
/
projects
cURL
Path Parameters
The ID of the group to list projects for.
Query Parameters
The offset to start from. If you enter 10, it will start from the 10th project.
Required range:
x >= 0The number of projects to return.
Required range:
1 <= x <= 100The text string that project name or slug will be filtered by.
Whether to filter the list of returned projects. 'assignedProjects' will only return projects assigned to the group, 'unassignedProjects' will only return projects not assigned to the group, undefined will return all projects in the organization.
Available options:
assignedProjects, unassignedProjects The column to order projects by.
Available options:
name The direction to order projects in.
Available options:
asc, desc Was this page helpful?